Bug 209242 - Minor cosmetic error in "Certificate Information" dialog box
Summary: Minor cosmetic error in "Certificate Information" dialog box
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Management Console
Classification: Fedora
Component: General   
(Show other bugs)
Version: 7.1
Hardware: sparc Other
high
high
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 249650 FDS1.2.0
TreeView+ depends on / blocked
 
Reported: 2006-10-04 01:15 UTC by George Holbert
Modified: 2015-01-04 23:21 UTC (History)
3 users (show)

Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 22:59:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
certificate details screenshot (80.80 KB, image/png)
2009-02-27 14:55 UTC, Jenny Galipeau
no flags Details

Description George Holbert 2006-10-04 01:15:17 UTC
Description of problem:
When viewing the details of a certificate in the management console, the
"Organization" and "Organization Unit" fields are swapped.  That is,
"Organization" displays the OU value on the certificate, and "Organization Unit"
displays the O value.


Version-Release number of selected component (if applicable):
7.1


How reproducible:
Always


Steps to Reproduce:
1. From DS console, select Console -> Security -> Manage Certificates.
2. Select any Server or CA certificate from list, then click Detail button.
3. In Certificate Information dialog, click Detail tab.  Note that OU and O have
swapped values (you can verify by repeating this check for multiple certificates).


Additional info:
Noticed this on sparc/Solaris 10, but I would guess the same bug affects the
console running on other platforms and OSes.

Comment 4 Rich Megginson 2008-12-11 18:07:49 UTC
Fix Description: the order of org and orgunit were reversed

Checking in security.c;
/cvs/dirsec/adminserver/admserv/cgi-src40/security.c,v  <--  security.c
new revision: 1.18; previous revision: 1.17
done

Comment 5 Jenny Galipeau 2009-02-27 14:55:19 UTC
Created attachment 333483 [details]
certificate details screenshot

Comment 6 Jenny Galipeau 2009-02-27 14:55:54 UTC
verified RHEL5 DS 8.1 - see attached screenshot O and OU are displayed correctly

Comment 7 Chandrasekar Kannan 2009-04-29 22:59:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html


Note You need to log in before you can comment on or make changes to this bug.